from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XPackageEncryption(XInterface, Protocol):
    def readEncryptionInfo(self, rStreams: NamedValue >) -> bool: ...
    def generateEncryptionKey(self, rPassword: str) -> bool: ...
    def decrypt(self, rxInputStream: XInputStream, rxOutputStream: XOutputStream) -> bool: ...
    def createEncryptionData(self, rPassword: str) -> list[NamedValue]: ...
    def setupEncryption(self, rMediaEncData: NamedValue>) -> bool: ...
    def encrypt(self, rxInputStream: XInputStream) -> list[NamedValue]: ...
    def checkDataIntegrity(self) -> bool: ...
